Package twisted :: Package trial :: Module reporter :: Class TreeReporter

[show private | hide private]
[frames | no frames]

## Class TreeReporter

    Reporter --+
               |
    TextReporter --+
                   |
                  TreeReporter

Method Summary
| `__init__(self, stream)`
| `allPassed(self)` (inherited from `Reporter`)
| `color(self, text, color)`
| `endLine(self, message, color)`
| `getRunningTime(self)` (inherited from `Reporter`)
| `reportImportError(self, name, exc)` (inherited from `Reporter`)
| `reportResults(self, testClass, method, resultType, results)`
| `reportStart(self, testClass, method)`
| `start(self, expectedTests)` (inherited from `Reporter`)
| `stop(self)` (inherited from `TextReporter`)
| `write(self, format, *args)` (inherited from `TextReporter`)
| `writeln(self, format, *args)` (inherited from `TextReporter`)

Class Variable Summary
`int` | `BLACK`
`int` | `BLUE`
`int` | `columns`
`int` | `CYAN`
`int` | `GREEN`
`int` | `MAGENTA`
`int` | `RED`
`int` | `WHITE`
`int` | `YELLOW`

Class Variable Details

### BLACK

  Type:
    `int`
  Value:

        30

### BLUE

  Type:
    `int`
  Value:

        34

### columns

  Type:
    `int`
  Value:

        79

### CYAN

  Type:
    `int`
  Value:

        36

### GREEN

  Type:
    `int`
  Value:

        32

### MAGENTA

  Type:
    `int`
  Value:

        35

### RED

  Type:
    `int`
  Value:

        31

### WHITE

  Type:
    `int`
  Value:

        37

### YELLOW

  Type:
    `int`
  Value:

        33

Generated by Epydoc 1.1 on Thu May 8 13:16:56 2003 | http://epydoc.sf.net